#pragma once

typedef struct {
	GLfloat x;
	GLfloat y;
	GLfloat z;
} Displacement;

typedef struct {
	GLfloat angle;
	GLfloat x;
	GLfloat y;
	GLfloat z;
} Rotation;


const GLfloat transitionDistance = 0.95f;


void PerformLegsTransition(GLfloat curTime, bool isLeftRobot, bool isLeftLeg);

//-------------------------------------

void PerformLeftHandTransitionAndRotation(GLfloat progress);

void PerformLeftTransition(GLfloat progress);

//--------------------------------------

void PerformRightBodyTransition(GLfloat progress, bool isLeftPart);

void PerformRightHornsTransition(GLfloat progress, bool isLeftHorn);

void PerformRightHeadTransition(GLfloat progress);

void PerformRightHandTransitionAndRotation(GLfloat progress);

//-------------------------------------------


void PerformLegsTurns(GLfloat curTime, bool isLeftRobot, bool isLeftLeg);
void PerformLeftHandRotation(GLfloat curTime);

